
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>ExtJs4学习（十三）如何给文件上传按钮加背景图片 / 憋错料</title>

    <meta name="description" content="ExtJs4学习（十三）如何给文件上传按钮加背景图片 我们日常看到的上传按钮都是这样的 当然browse是默认的,我们可以去改变它,比如替换成&quot;上传&quot;,配置为buttonText: '上传', 如果我们想给按钮添加背景图片呢,你可能注意到了这个配置 buttonConfig { xtype: 'filefield', emptyText: 'Select an image', fieldLabel: 'Photo', name: 'photo-path', buttonText: '', buttonConfig: { icon ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">ExtJs4学习（十三）如何给文件上传按钮加背景图片</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>我们日常看到的上传按钮都是这样的</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTAxMTcxNjA2MTExMTA=.jpg"></p>
<p>当然browse是默认的，我们可以去改变它，比如替换成“上传”，配置为buttonText: ‘上传‘,</p>
<p>如果我们想给按钮添加背景图片呢，你可能注意到了这个配置 buttonConfig</p>
<pre>{
  xtype: &#039;filefield&#039;,
  emptyText: &#039;Select an image&#039;,
  fieldLabel: &#039;Photo&#039;,
  name: &#039;photo-path&#039;,
  buttonText: &#039;&#039;,
  buttonConfig: {
     iconCls: &#039;upload-icon&#039;
  }
}</pre>
<p>实际效果又是怎样的呢</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTAxMTcxNjEzMDk3OTk=.jpg"></p>
<p>如果你的背景图片刚好是那个大小，恭喜你后面的内容不用看了，你已经解决问题了。</p>
<p>只是如果你的背景图片是这样的大小呢</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTAxMTcxNjE2NDI2NjE=.jpg"></p>
<p>不妨试试，最后会发现，按钮最终的显式效果，竟然还是显式那么一点点，效果是这样的</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTAxMTcxNjMxMjExNzE=.jpg"></p>
<p>好像还是没达到要求，不禁反问，这个宽度可以设置吗？</p>
<p>我们试一下，代码如下</p>
<pre>{
  xtype: &#039;filefield&#039;,
  emptyText: &#039;Select an image&#039;,
  fieldLabel: &#039;Photo&#039;,
  name: &#039;photo-path&#039;,
  buttonText: &#039;&#039;,
  buttonConfig: {
    iconCls: &#039;browse&#039;,
    width:154
  }
}</pre>
<p>效果是这样的</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTAxMTcxNjM2Mjg1OTM=.jpg"></p>
<p>哎呀，好像还是不行，背景图片好像被限制了，那能怎么解决呢</p>
<p>这时候我想到了另外一个配置cls</p>
<pre>{
  xtype: &#039;filefield&#039;,
  emptyText: &#039;Select an image&#039;,
  fieldLabel: &#039;Photo&#039;,
  name: &#039;photo-path&#039;,
  buttonText: &#039;&#039;,
  buttonConfig: {
    width:154,
    height:41,
    cls: &#039;browse&#039;,
  }
}</pre>
<p>效果如下</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTAxMTcxNjUyMDExNTY=.jpg"></p>
<p>这里说到一点，filefield的width配置必须达到一定大小，不然按钮会往左靠，覆盖掉框，效果如下</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTAxMTcxNzAyNTc2MDk=.jpg"></p>
<p>现在达到我们的要求了，如果我们只需要按钮，可以这样</p>
<p>加两个配置</p>
<p>buttonOnly: true,</p>
<p>hideLabel: true,</p>
<p>效果如下</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTAxMTcxNzA1MDE4NTk=.jpg"></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 19:59:36 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/%e4%b8%8a%e4%bc%a0/" title="上传">上传</a>, <a href="https://www.biecuoliao.com/tag/%e6%8c%89%e9%92%ae/" title="按钮">按钮</a>, <a href="https://www.biecuoliao.com/tag/%e8%83%8c%e6%99%af%e5%9b%be%e7%89%87/" title="背景图片">背景图片</a>, <a href="https://www.biecuoliao.com/tag/extjs4/" title="extjs4">extjs4</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>ExtJs4学习（十三）如何给文件上传按钮加背景图片的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xQV1N3.html" rel="bookmark">ios网络学习------11 原生API文件上传之断点续传思路</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				#import &quot;MainViewController.h&quot; @interface MainViewController () @end @implementation MainViewController - (void)viewDidLoad { [super viewDidLoad]; //下载文件 [self download]; } -(void)download { //1. NSURL NSURL *url = [NSURL URLWithString:@&quot;ht			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ZALGl0.html" rel="bookmark">CSS自定义文件上传按钮</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:CSS自定义文件上传按钮 今天一同事问我文件上传按钮的问题,情况是这样的,他页面上有3个按钮,分为左中右三个,左边的位按钮甲,右边的位按钮乙,而中间的就是个文件选择按钮,情况大概是这个样子的: 两边的按钮都有了样式,但中间的选择文件的样式死活调不出来,于是我就同他一块解决,后来经过自己设置width,height折腾无果,再求助google终于找到了解决办法,这个方法是这样的: 用一个标签套着文件域,然后调整文件域外边的元素,设置成按钮样式,然后,在把文件域&quot;隐藏&quot;掉(这里的隐藏			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4po5Pw3.html" rel="bookmark">文件上传按钮的用户自定义样式的实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一般在做 WEB 开发项目的时候碰到文件上传必不可少,但是因为各家浏览器对于 &lt;input type=&quot;file&quot;&gt; 标签支持不同所以在各个浏览器下的显示也是不一样的.可能在用户体验方面会形成困扰,今天就给大家介绍一下文件上传按钮的用户自定义样式的实现. 实现原理: 建立两个层,一个层包装 &lt;input type=&quot;file&quot;&gt; 以下简称文件按钮层,一个层包装上传文件按钮的自定义样式,以下渐层样式层.设置两个层的大小一致,将文件按钮层设置相对			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MXznP83.html" rel="bookmark">Struts2学习（八）&mdash;文件上传和下载</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在做B/S系统时,通常会涉及到上传文件和下载文件,在没接struts2框架之前,我们都是使用apache下面的commons子项目的FileUpload组件来进行文件的上传,但是那样做的话,代码看起来比较繁琐,而且不灵活,在学习了struts2后,struts2为文件上传下载提供了更好的实现机制,在这里我分别就单文件上传和多文件上传的实现进行一下讲解,这里 我们使用的struts2 web项目所导入的jar包中的**commons-fileupload-1.3.1.jar commons-io-			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/9MEzkR0.html" rel="bookmark">JavaWeb学习总结&lpar;五十&rpar;&mdash;&mdash;文件上传和下载</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Web应用系统开发中,文件上传和下载功能是非常常用的功能,今天来讲一下JavaWeb中的文件上传和下载功能的实现. 对于文件上传,浏览器在上传的过程中是将文件以流的形式提交到服务器端的,如果直接使用Servlet获取上传文件的输入流然后再解析里面的请求参数是比较麻烦,所以一般选择采用apache的开源工具common-fileupload这个文件上传组件.这个common-fileupload上传组件的jar包可以去apache官网上面下载,也可以在struts的lib文件夹下面找到,stru			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0KqDlL4.html" rel="bookmark">struts2学习笔记之十&colon;文件上传</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Struts2的上传 1.Struts2默认采用了apache commons-fileupload 2.Struts2支持三种类型的上传组件 3.需要引入commons-fileupload相关依赖包 * commons-io-1.3.2.jar * commons-fileupload-1.2.1.jar 4.表单中需要采用POST提交方式,编码类型需要使用:multipart/form-data 5.Struts2的Action 取得文件名称-&gt;&gt;规则:输入域的名称+固定字符串FileN			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVqxgy4.html" rel="bookmark">SpringMVC学习总结&lpar;五&rpar;&mdash;&mdash;SpringMVC文件上传例子</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这是用的是SpringMVC-3.1.1.commons-fileupload-1.2.2和io-2.0.1 首先是web.xml &lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt; &lt;web-app version=&quot;2.5&quot; xmlns=&quot;http://java.sun.com/xml/ns/javaee&quot; xmlns:xsi=&quot;http://www.w3.org/20			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWrXAa4.html" rel="bookmark">JavaWeb学习总结&lpar;五十&rpar;&mdash;&mdash;文件上传和下载   http&colon;&sol;&sol;www&period;cnblogs&period;com&sol;xdp-gacl&sol;p&sol;4200090&period;html</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Web应用系统开发中,文件上传和下载功能是非常常用的功能,今天来讲一下JavaWeb中的文件上传和下载功能的实现. 对于文件上传,浏览器在上传的过程中是将文件以流的形式提交到服务器端的,如果直接使用Servlet获取上传文件的输入流然后再解析里面的请求参数是比较麻烦,所以一般选择采用apache的开源工具common-fileupload这个文件上传组件.这个common-fileupload上传组件的jar包可以去apache官网上面下载,也可以在struts的lib文件夹下面找到,stru			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MgeRDR3.html" rel="bookmark">SpringBoot学习6：springboot文件上传</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.编写页面uploadFile.html &lt;!DOCTYPE html&gt; &lt;html lang=&quot;en&quot;&gt; &lt;head&gt; &lt;meta charset=&quot;UTF-8&quot;&gt; &lt;title&gt;上传文件&lt;/title&gt; &lt;/head&gt; &lt;body&gt; &lt;form action=&quot;uploadFile&quot; method=&quot;post&quot; enct			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/XMmGEn3.html" rel="bookmark" class="title">C&num;利用WebClient 两种方式下载文件</a>
					<div>
						WebClient client = new WebClient(); 第一种 string URLAddress = @&quot;http://files.cnblogs.com/x4646/tr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Z0KlGy3.html" rel="bookmark" class="title">总结一下一些知识。</a>
					<div>
						1.利用CSS穿透 常见发生场景:假如我们需要通过input,type='file'来上传文件,而这个input的默认样式,可以说是非常地&quot;不人道&quot;.所以我们希望通过一张图片,与这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/B0RVx90.html" rel="bookmark" class="title">LCS问题</a>
					<div>
						LCS问题即longest common subsequence problem,中文:最长公共子序列问题 给你两个字符串str1和str2,它们之间可能存在公有子序列,子序列和子串的区别是:子序列不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RBNmv0.html" rel="bookmark" class="title">MVC页面常见三种传值方式&mdash;&mdash;ViewData&comma;ViewBag&comma;TempData</a>
					<div>
						最近接触MVC代码多了,发现了很多新东西,比如页面传值.发现了MVC里面原来有这么多对象可以用来传值,最近两天用到了ViewData和ViewBag,之后又关联到了TempData,现在列个表格比较下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47NpZx3.html" rel="bookmark" class="title">Java 反编译工具下载</a>
					<div>
						反编译,通俗来讲,就是将.java 文件经过编译生成的 .class 文件还原.注意这里的还原不等于 .java 文件.因为Java编译器在编译.java 文件的时候,会对代码进行一些处理. 那么接下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OaWkGM.html" rel="bookmark" class="title">iPad和iPhone开发的异同</a>
					<div>
						niPad和iPhone开发的异同 niPad简介 n什么是iPad p一款苹果公司于2010年发布的平板电脑 p定位介于苹果的智能手机iPhone和笔记本电脑产品之间 p跟iPhone一样,搭载的是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02DBVD4.html" rel="bookmark" class="title">帝国的衰落&mdash;&mdash;微软的出路在何方？</a>
					<div>
						最近关于微软Surface更名Lumia的消息传的沸沸扬扬.不管传言真否,WP平台的发展缓慢,是人所共知的事实.而且人们在谈论WP手机的时候说的更多也是诺基亚而不是微软,或许正是这一点促使微软收购诺基 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/418OjX3.html" rel="bookmark" class="title">Idea Maven 建本地仓库-导入本地JAR包</a>
					<div>
						需求 IDEA 很方便集成了Maven,但是也有相应的问题,比如使用Maven仓没有包的时候不太方便,这时我们需要建立自已的本地仓库来实现 实现 找到Idea的安装目录下面的Maven,我的在 C:\ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/ME8q6K4.html" rel="bookmark" class="title">&lbrack;BZOJ1061&rsqb; &lbrack;Noi2008&rsqb; 志愿者招募 &lpar;费用流&rpar;</a>
					<div>
						Description 申奥成功后,布布经过不懈努力,终于成为奥组委下属公司人力资源部门的主管.布布刚上任就遇到了一个难 题:为即将启动的奥运新项目招募一批短期志愿者.经过估算,这个项目需要N 天才能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzQxgO4.html" rel="bookmark" class="title">iOS多线程与网络开发之多线程概述</a>
					<div>
						郝萌主倾心贡献,尊重作者的劳动成果,请勿转载. 如果文章对您有所帮助,欢迎给作者捐赠,支持郝萌主,捐赠数额随意,重在心意^_^ 我要捐赠: 点击捐赠 Cocos2d-X源码下载:点我传送 游戏官方下载 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/ME8yGQ4.html" rel="bookmark" class="title">传值的方式：</a>
					<div>
						1.正向传值 //用属性传值 在B.h中设置一个属性 @property (nonatomic,copy)NSString *string; 然后在A.m实例化B时, 给B.string赋值 B中就可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QAx824.html" rel="bookmark" class="title">正则匹配中文</a>
					<div>
						//如果只想匹配中文,中文的ASI编码为[u4e00-u9fa5] $str = preg_replace(&quot;/[\x{4e00}-\x{9fa5}]/iu&quot;,&quot;zh&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QAQkB4.html" rel="bookmark" class="title">js post 方式 新开窗口</a>
					<div>
						js中一般新打开窗口很简单直接window.open(url);就可以了, 但是由于我希望传递参数到服务端,而且参数看起来很长一串,而且get方式的提交参数长度是有限制的,因此我有以下需求: 1,js ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bOjlp3.html" rel="bookmark" class="title">python3 day7</a>
					<div>
						三层目录: 功能要求: 1. 输入即可进入下一层 2. 按q退出 3. 按b可以回退到上一层 代码: #!/usr/bin/env python # -*- coding:utf-8 -*- menu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXL2eaM.html" rel="bookmark" class="title">关于Android的margin&lpar;当前视图与周围视图的距离&rpar;和padding（当前视图与内部内容的距离）</a>
					<div>
						&lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt; &lt;LinearLayout xmlns:android=&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dRdBg4.html" rel="bookmark" class="title">Template template parameter&lpar;模板参数&rpar; example</a>
					<div>
						/********************************************************************************* Copyright (C), 19 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyQLnLM.html" rel="bookmark" class="title">用二叉链表实现二叉查找树&lpar;二&rpar;</a>
					<div>
						/* 二叉查找树的链表实现: 以及三种遍历方式,删除节点: 查找节点: author:天下无双 Date:2014-5-28 Version:3.0 */ #include &lt;iostream& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzBweAM.html" rel="bookmark" class="title">己所不欲，一定不要施于其他人啊</a>
					<div>
						己所不欲,勿施于人 昨天晚上,又与妈妈发生一次很久很久没有发生的战争了,都不是什么大事,就是妈妈做的菜咸了,我就对妈妈说了,妈妈就朝我喊,说我和我爸什么都不干,还挑剔,后来,妈妈又说了很多难听的话,这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jrqJE0.html" rel="bookmark" class="title">一&comma;安装python</a>
					<div>
						在Windows上安装Python 首先,从Python的官方网站www.python.org下载最新的2.7.9版本,地址是这个: http://www.python.org/ftp/python/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoRYYn4.html" rel="bookmark" class="title">vmgsim&period;V9&period;0&period;46&plus;Chemstations CHEMCAD Suite v6&period;5&period;7 2015</a>
					<div>
						vmgsim.V9.0.46 最新版流程模拟软件 vmgsim v6.0.17在石油天然气,石油炼制,石油化工等领域,利用VMGSim你能够准确建模并预测大多数的工艺装置的性能:VMGSim在提高模拟 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
